Makefile.am (MOSTLYCLEANFILES): Remove testing files and logs.
[platform/upstream/gcc.git] / gotools / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Makefile for gotools
19 #   Copyright (C) 2015-2016 Free Software Foundation, Inc.
20 #
21 # This file is free software; you can redistribute it and/or modify
22 # it under the terms of the GNU General Public License as published by
23 # the Free Software Foundation; either version 3 of the License, or
24 # (at your option) any later version.
25
26 # This program is distributed in the hope that it will be useful,
27 # but WITHOUT ANY WARRANTY; without even the implied warranty of
28 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
29 # GNU General Public License for more details.
30
31 # You should have received a copy of the GNU General Public License
32 # along with this program; see the file COPYING3.  If not see
33 # <http://www.gnu.org/licenses/>.
34
35 VPATH = @srcdir@
36 am__make_dryrun = \
37   { \
38     am__dry=no; \
39     case $$MAKEFLAGS in \
40       *\\[\ \   ]*) \
41         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
42           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
43       *) \
44         for am__flg in $$MAKEFLAGS; do \
45           case $$am__flg in \
46             *=*|--*) ;; \
47             *n*) am__dry=yes; break;; \
48           esac; \
49         done;; \
50     esac; \
51     test $$am__dry = yes; \
52   }
53 pkgdatadir = $(datadir)/@PACKAGE@
54 pkgincludedir = $(includedir)/@PACKAGE@
55 pkglibdir = $(libdir)/@PACKAGE@
56 pkglibexecdir = $(libexecdir)/@PACKAGE@
57 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
58 install_sh_DATA = $(install_sh) -c -m 644
59 install_sh_PROGRAM = $(install_sh) -c
60 install_sh_SCRIPT = $(install_sh) -c
61 INSTALL_HEADER = $(INSTALL_DATA)
62 transform = $(program_transform_name)
63 NORMAL_INSTALL = :
64 PRE_INSTALL = :
65 POST_INSTALL = :
66 NORMAL_UNINSTALL = :
67 PRE_UNINSTALL = :
68 POST_UNINSTALL = :
69 build_triplet = @build@
70 host_triplet = @host@
71 target_triplet = @target@
72 subdir = .
73 DIST_COMMON = README ChangeLog $(srcdir)/Makefile.in \
74         $(srcdir)/Makefile.am $(top_srcdir)/configure \
75         $(am__configure_deps) $(srcdir)/../mkinstalldirs \
76         $(srcdir)/../depcomp
77 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
78 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
79         $(top_srcdir)/../config/depstand.m4 \
80         $(top_srcdir)/../config/lead-dot.m4 \
81         $(top_srcdir)/../config/override.m4 $(top_srcdir)/config/go.m4 \
82         $(top_srcdir)/configure.ac
83 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
84         $(ACLOCAL_M4)
85 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
86  configure.lineno config.status.lineno
87 CONFIG_CLEAN_FILES =
88 CONFIG_CLEAN_VPATH_FILES =
89 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
90 PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
91 cgo_SOURCES = cgo.c
92 cgo_OBJECTS = cgo.$(OBJEXT)
93 cgo_LDADD = $(LDADD)
94 go_SOURCES = go.c
95 go_OBJECTS = go.$(OBJEXT)
96 go_LDADD = $(LDADD)
97 gofmt_SOURCES = gofmt.c
98 gofmt_OBJECTS = gofmt.$(OBJEXT)
99 gofmt_LDADD = $(LDADD)
100 DEFAULT_INCLUDES = -I.@am__isrc@
101 depcomp = $(SHELL) $(top_srcdir)/../depcomp
102 am__depfiles_maybe = depfiles
103 am__mv = mv -f
104 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
105         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
106 CCLD = $(CC)
107 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
108 SOURCES = cgo.c go.c gofmt.c
109 am__can_run_installinfo = \
110   case $$AM_UPDATE_INFO_DIR in \
111     n|no|NO) false;; \
112     *) (install-info --version) >/dev/null 2>&1;; \
113   esac
114 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
115 am__vpath_adj = case $$p in \
116     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
117     *) f=$$p;; \
118   esac;
119 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
120 am__install_max = 40
121 am__nobase_strip_setup = \
122   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
123 am__nobase_strip = \
124   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
125 am__nobase_list = $(am__nobase_strip_setup); \
126   for p in $$list; do echo "$$p $$p"; done | \
127   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
128   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
129     if (++n[$$2] == $(am__install_max)) \
130       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
131     END { for (dir in files) print dir, files[dir] }'
132 am__base_list = \
133   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
134   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
135 am__uninstall_files_from_dir = { \
136   test -z "$$files" \
137     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
138     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
139          $(am__cd) "$$dir" && rm -f $$files; }; \
140   }
141 man1dir = $(mandir)/man1
142 NROFF = nroff
143 MANS = $(man_MANS)
144 ETAGS = etags
145 CTAGS = ctags
146 ACLOCAL = @ACLOCAL@
147 AMTAR = @AMTAR@
148 AUTOCONF = @AUTOCONF@
149 AUTOHEADER = @AUTOHEADER@
150 AUTOMAKE = @AUTOMAKE@
151 AWK = @AWK@
152 CC = @CC@
153 CCDEPMODE = @CCDEPMODE@
154 CFLAGS = @CFLAGS@
155 CPPFLAGS = @CPPFLAGS@
156 CYGPATH_W = @CYGPATH_W@
157 DEFS = @DEFS@
158 DEPDIR = @DEPDIR@
159 ECHO_C = @ECHO_C@
160 ECHO_N = @ECHO_N@
161 ECHO_T = @ECHO_T@
162 EXEEXT = @EXEEXT@
163 GOC = @GOC@
164 GOCFLAGS = $(CFLAGS_FOR_TARGET)
165 INSTALL = @INSTALL@
166 INSTALL_DATA = @INSTALL_DATA@
167 INSTALL_PROGRAM = @INSTALL_PROGRAM@
168 INSTALL_SCRIPT = @INSTALL_SCRIPT@
169 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
170 LDFLAGS = @LDFLAGS@
171 LIBOBJS = @LIBOBJS@
172 LIBS = @LIBS@
173 LTLIBOBJS = @LTLIBOBJS@
174 MAINT = @MAINT@
175 MAKEINFO = @MAKEINFO@
176 MKDIR_P = @MKDIR_P@
177 NET_LIBS = @NET_LIBS@
178 OBJEXT = @OBJEXT@
179 PACKAGE = @PACKAGE@
180 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
181 PACKAGE_NAME = @PACKAGE_NAME@
182 PACKAGE_STRING = @PACKAGE_STRING@
183 PACKAGE_TARNAME = @PACKAGE_TARNAME@
184 PACKAGE_URL = @PACKAGE_URL@
185 PACKAGE_VERSION = @PACKAGE_VERSION@
186 PATH_SEPARATOR = @PATH_SEPARATOR@
187 SET_MAKE = @SET_MAKE@
188 SHELL = @SHELL@
189 STRIP = @STRIP@
190 VERSION = @VERSION@
191 abs_builddir = @abs_builddir@
192 abs_srcdir = @abs_srcdir@
193 abs_top_builddir = @abs_top_builddir@
194 abs_top_srcdir = @abs_top_srcdir@
195 ac_ct_CC = @ac_ct_CC@
196 am__include = @am__include@
197 am__leading_dot = @am__leading_dot@
198 am__quote = @am__quote@
199 am__tar = @am__tar@
200 am__untar = @am__untar@
201 bindir = @bindir@
202 build = @build@
203 build_alias = @build_alias@
204 build_cpu = @build_cpu@
205 build_noncanonical = @build_noncanonical@
206 build_os = @build_os@
207 build_vendor = @build_vendor@
208 builddir = @builddir@
209 datadir = @datadir@
210 datarootdir = @datarootdir@
211 docdir = @docdir@
212 dvidir = @dvidir@
213 exec_prefix = @exec_prefix@
214 host = @host@
215 host_alias = @host_alias@
216 host_cpu = @host_cpu@
217 host_noncanonical = @host_noncanonical@
218 host_os = @host_os@
219 host_vendor = @host_vendor@
220 htmldir = @htmldir@
221 includedir = @includedir@
222 infodir = @infodir@
223 install_sh = @install_sh@
224 libdir = @libdir@
225 libexecdir = @libexecdir@
226 localedir = @localedir@
227 localstatedir = @localstatedir@
228 mandir = @mandir@
229 mkdir_p = @mkdir_p@
230 oldincludedir = @oldincludedir@
231 pdfdir = @pdfdir@
232 prefix = @prefix@
233 program_transform_name = @program_transform_name@
234 psdir = @psdir@
235 sbindir = @sbindir@
236 sharedstatedir = @sharedstatedir@
237 srcdir = @srcdir@
238 sysconfdir = @sysconfdir@
239 target = @target@
240 target_alias = @target_alias@
241 target_cpu = @target_cpu@
242 target_noncanonical = @target_noncanonical@
243 target_os = @target_os@
244 target_vendor = @target_vendor@
245 top_build_prefix = @top_build_prefix@
246 top_builddir = @top_builddir@
247 top_srcdir = @top_srcdir@
248 ACLOCAL_AMFLAGS = -I ./config -I ../config
249 gcc_version := $(shell $(GCC_FOR_TARGET) -dumpversion)
250 libexecsubdir = $(libexecdir)/gcc/$(target_noncanonical)/$(gcc_version)
251 mkinstalldirs = $(SHELL) $(toplevel_srcdir)/mkinstalldirs
252 PWD_COMMAND = $${PWDCMD-pwd}
253 STAMP = echo timestamp >
254 libgodir = ../$(target_noncanonical)/libgo
255 LIBGODEP = $(libgodir)/libgo.la
256 @NATIVE_FALSE@GOCOMPILER = $(GOC)
257
258 # Use the compiler we just built.
259 @NATIVE_TRUE@GOCOMPILER = $(GOC_FOR_TARGET) $(XGCC_FLAGS_FOR_TARGET)
260 GOCOMPILE = $(GOCOMPILER) $(GOCFLAGS)
261 AM_GOCFLAGS = -I $(libgodir)
262 AM_LDFLAGS = -L $(libgodir) -L $(libgodir)/.libs
263 GOLINK = $(GOCOMPILER) $(GOCFLAGS) $(AM_GOCFLAGS) $(LDFLAGS) $(AM_LDFLAGS) -o $@
264 libgosrcdir = $(srcdir)/../libgo/go
265 cmdsrcdir = $(libgosrcdir)/cmd
266 libgomiscdir = $(srcdir)/../libgo/misc
267 go_cmd_go_files = \
268         $(cmdsrcdir)/go/alldocs.go \
269         $(cmdsrcdir)/go/bug.go \
270         $(cmdsrcdir)/go/build.go \
271         $(cmdsrcdir)/go/clean.go \
272         $(cmdsrcdir)/go/context.go \
273         $(cmdsrcdir)/go/discovery.go \
274         $(cmdsrcdir)/go/doc.go \
275         $(cmdsrcdir)/go/env.go \
276         $(cmdsrcdir)/go/fix.go \
277         $(cmdsrcdir)/go/fmt.go \
278         $(cmdsrcdir)/go/generate.go \
279         $(cmdsrcdir)/go/get.go \
280         $(cmdsrcdir)/go/go11.go \
281         $(cmdsrcdir)/go/help.go \
282         $(cmdsrcdir)/go/http.go \
283         $(cmdsrcdir)/go/list.go \
284         $(cmdsrcdir)/go/main.go \
285         $(cmdsrcdir)/go/note.go \
286         $(cmdsrcdir)/go/pkg.go \
287         $(cmdsrcdir)/go/run.go \
288         $(cmdsrcdir)/go/signal.go \
289         $(cmdsrcdir)/go/signal_unix.go \
290         $(cmdsrcdir)/go/test.go \
291         $(cmdsrcdir)/go/testflag.go \
292         $(cmdsrcdir)/go/tool.go \
293         $(cmdsrcdir)/go/vcs.go \
294         $(cmdsrcdir)/go/version.go \
295         $(cmdsrcdir)/go/vet.go \
296         $(libgodir)/zstdpkglist.go
297
298 go_cmd_gofmt_files = \
299         $(cmdsrcdir)/gofmt/doc.go \
300         $(cmdsrcdir)/gofmt/gofmt.go \
301         $(cmdsrcdir)/gofmt/internal.go \
302         $(cmdsrcdir)/gofmt/rewrite.go \
303         $(cmdsrcdir)/gofmt/simplify.go
304
305 go_cmd_cgo_files = \
306         $(cmdsrcdir)/cgo/ast.go \
307         $(cmdsrcdir)/cgo/doc.go \
308         $(cmdsrcdir)/cgo/gcc.go \
309         $(cmdsrcdir)/cgo/godefs.go \
310         $(cmdsrcdir)/cgo/main.go \
311         $(cmdsrcdir)/cgo/out.go \
312         $(cmdsrcdir)/cgo/util.go
313
314 GCCGO_INSTALL_NAME := $(shell echo gccgo|sed '$(program_transform_name)')
315 GCC_INSTALL_NAME := $(shell echo gcc|sed '$(program_transform_name)')
316 GXX_INSTALL_NAME := $(shell echo g++|sed '$(program_transform_name)')
317 MOSTLYCLEANFILES = \
318         zdefaultcc.go s-zdefaultcc \
319         check-gccgo gotools.head *-testlog gotools.sum gotools.log
320
321
322 # For a native build we build the programs using the newly built libgo
323 # and install them as regular programs.
324 @NATIVE_TRUE@bin_PROGRAMS = go$(EXEEXT) gofmt$(EXEEXT)
325 @NATIVE_TRUE@noinst_PROGRAMS = cgo$(EXEEXT)
326 @NATIVE_TRUE@man_MANS = go.1 gofmt.1
327
328 # CHECK_ENV sets up the environment to run the newly built go tool.
329 # If you change this, change ECHO_ENV, below.
330 @NATIVE_TRUE@CHECK_ENV = \
331 @NATIVE_TRUE@   PATH=`echo $(abs_builddir):$${PATH} | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; \
332 @NATIVE_TRUE@   export PATH; \
333 @NATIVE_TRUE@   GCCGO="$(abs_builddir)/check-gccgo"; \
334 @NATIVE_TRUE@   export GCCGO; \
335 @NATIVE_TRUE@   GCCGOTOOLDIR="$(abs_builddir)"; \
336 @NATIVE_TRUE@   export GCCGOTOOLDIR; \
337 @NATIVE_TRUE@   GO_TESTING_GOTOOLS=yes; \
338 @NATIVE_TRUE@   export GO_TESTING_GOTOOLS; \
339 @NATIVE_TRUE@   abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
340 @NATIVE_TRUE@   LD_LIBRARY_PATH=`echo $${abs_libgodir}/.libs:$${LD_LIBRARY_PATH} | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; \
341 @NATIVE_TRUE@   export LD_LIBRARY_PATH;
342
343
344 # ECHO_ENV is a variant of CHECK_ENV to put into a testlog file.
345 # It assumes that abs_libgodir is set.
346 @NATIVE_TRUE@ECHO_ENV = PATH=`echo $(abs_builddir):$${PATH} | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'` GCCGO='$(abs_builddir)/check-gccgo' GCCGOTOOLDIR='$(abs_builddir)' GO_TESTING_GOTOOLS=yes LD_LIBRARY_PATH=`echo $${abs_libgodir}/.libs:$${LD_LIBRARY_PATH} | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`
347 all: all-am
348
349 .SUFFIXES:
350 .SUFFIXES: .c .o .obj
351 am--refresh: Makefile
352         @:
353 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
354         @for dep in $?; do \
355           case '$(am__configure_deps)' in \
356             *$$dep*) \
357               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
358               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
359                 && exit 0; \
360               exit 1;; \
361           esac; \
362         done; \
363         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
364         $(am__cd) $(top_srcdir) && \
365           $(AUTOMAKE) --foreign Makefile
366 .PRECIOUS: Makefile
367 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
368         @case '$?' in \
369           *config.status*) \
370             echo ' $(SHELL) ./config.status'; \
371             $(SHELL) ./config.status;; \
372           *) \
373             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
374             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
375         esac;
376
377 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
378         $(SHELL) ./config.status --recheck
379
380 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
381         $(am__cd) $(srcdir) && $(AUTOCONF)
382 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
383         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
384 $(am__aclocal_m4_deps):
385 install-binPROGRAMS: $(bin_PROGRAMS)
386         @$(NORMAL_INSTALL)
387         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
388         if test -n "$$list"; then \
389           echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
390           $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
391         fi; \
392         for p in $$list; do echo "$$p $$p"; done | \
393         sed 's/$(EXEEXT)$$//' | \
394         while read p p1; do if test -f $$p; \
395           then echo "$$p"; echo "$$p"; else :; fi; \
396         done | \
397         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
398             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
399         sed 'N;N;N;s,\n, ,g' | \
400         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
401           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
402             if ($$2 == $$4) files[d] = files[d] " " $$1; \
403             else { print "f", $$3 "/" $$4, $$1; } } \
404           END { for (d in files) print "f", d, files[d] }' | \
405         while read type dir files; do \
406             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
407             test -z "$$files" || { \
408               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
409               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
410             } \
411         ; done
412
413 uninstall-binPROGRAMS:
414         @$(NORMAL_UNINSTALL)
415         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
416         files=`for p in $$list; do echo "$$p"; done | \
417           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
418               -e 's/$$/$(EXEEXT)/' `; \
419         test -n "$$list" || exit 0; \
420         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
421         cd "$(DESTDIR)$(bindir)" && rm -f $$files
422
423 clean-binPROGRAMS:
424         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
425
426 clean-noinstPROGRAMS:
427         -test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
428 @NATIVE_FALSE@cgo$(EXEEXT): $(cgo_OBJECTS) $(cgo_DEPENDENCIES) $(EXTRA_cgo_DEPENDENCIES) 
429 @NATIVE_FALSE@  @rm -f cgo$(EXEEXT)
430 @NATIVE_FALSE@  $(LINK) $(cgo_OBJECTS) $(cgo_LDADD) $(LIBS)
431 @NATIVE_FALSE@go$(EXEEXT): $(go_OBJECTS) $(go_DEPENDENCIES) $(EXTRA_go_DEPENDENCIES) 
432 @NATIVE_FALSE@  @rm -f go$(EXEEXT)
433 @NATIVE_FALSE@  $(LINK) $(go_OBJECTS) $(go_LDADD) $(LIBS)
434 @NATIVE_FALSE@gofmt$(EXEEXT): $(gofmt_OBJECTS) $(gofmt_DEPENDENCIES) $(EXTRA_gofmt_DEPENDENCIES) 
435 @NATIVE_FALSE@  @rm -f gofmt$(EXEEXT)
436 @NATIVE_FALSE@  $(LINK) $(gofmt_OBJECTS) $(gofmt_LDADD) $(LIBS)
437
438 mostlyclean-compile:
439         -rm -f *.$(OBJEXT)
440
441 distclean-compile:
442         -rm -f *.tab.c
443
444 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cgo.Po@am__quote@
445 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/go.Po@am__quote@
446 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gofmt.Po@am__quote@
447
448 .c.o:
449 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
450 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
451 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
452 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
453 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
454
455 .c.obj:
456 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
457 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
458 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
459 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
460 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
461 install-man1: $(man_MANS)
462         @$(NORMAL_INSTALL)
463         @list1=''; \
464         list2='$(man_MANS)'; \
465         test -n "$(man1dir)" \
466           && test -n "`echo $$list1$$list2`" \
467           || exit 0; \
468         echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
469         $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
470         { for i in $$list1; do echo "$$i"; done;  \
471         if test -n "$$list2"; then \
472           for i in $$list2; do echo "$$i"; done \
473             | sed -n '/\.1[a-z]*$$/p'; \
474         fi; \
475         } | while read p; do \
476           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
477           echo "$$d$$p"; echo "$$p"; \
478         done | \
479         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
480               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
481         sed 'N;N;s,\n, ,g' | { \
482         list=; while read file base inst; do \
483           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
484             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
485             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
486           fi; \
487         done; \
488         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
489         while read files; do \
490           test -z "$$files" || { \
491             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
492             $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
493         done; }
494
495 uninstall-man1:
496         @$(NORMAL_UNINSTALL)
497         @list=''; test -n "$(man1dir)" || exit 0; \
498         files=`{ for i in $$list; do echo "$$i"; done; \
499         l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
500           sed -n '/\.1[a-z]*$$/p'; \
501         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
502               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
503         dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
504
505 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
506         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
507         unique=`for i in $$list; do \
508             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
509           done | \
510           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
511               END { if (nonempty) { for (i in files) print i; }; }'`; \
512         mkid -fID $$unique
513 tags: TAGS
514
515 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
516                 $(TAGS_FILES) $(LISP)
517         set x; \
518         here=`pwd`; \
519         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
520         unique=`for i in $$list; do \
521             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
522           done | \
523           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
524               END { if (nonempty) { for (i in files) print i; }; }'`; \
525         shift; \
526         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
527           test -n "$$unique" || unique=$$empty_fix; \
528           if test $$# -gt 0; then \
529             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
530               "$$@" $$unique; \
531           else \
532             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
533               $$unique; \
534           fi; \
535         fi
536 ctags: CTAGS
537 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
538                 $(TAGS_FILES) $(LISP)
539         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
540         unique=`for i in $$list; do \
541             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
542           done | \
543           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
544               END { if (nonempty) { for (i in files) print i; }; }'`; \
545         test -z "$(CTAGS_ARGS)$$unique" \
546           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
547              $$unique
548
549 GTAGS:
550         here=`$(am__cd) $(top_builddir) && pwd` \
551           && $(am__cd) $(top_srcdir) \
552           && gtags -i $(GTAGS_ARGS) "$$here"
553
554 distclean-tags:
555         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
556 check-am: all-am
557 check: check-am
558 all-am: Makefile $(PROGRAMS) $(MANS)
559 installdirs:
560         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
561           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
562         done
563 install: install-am
564 install-exec: install-exec-am
565 install-data: install-data-am
566 uninstall: uninstall-am
567
568 install-am: all-am
569         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
570
571 installcheck: installcheck-am
572 install-strip:
573         if test -z '$(STRIP)'; then \
574           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
575             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
576               install; \
577         else \
578           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
579             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
580             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
581         fi
582 mostlyclean-generic:
583         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
584
585 clean-generic:
586
587 distclean-generic:
588         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
589         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
590
591 maintainer-clean-generic:
592         @echo "This command is intended for maintainers to use"
593         @echo "it deletes files that may require special tools to rebuild."
594 @NATIVE_FALSE@uninstall-local:
595 @NATIVE_FALSE@install-exec-local:
596 clean: clean-am
597
598 clean-am: clean-binPROGRAMS clean-generic clean-noinstPROGRAMS \
599         mostlyclean-am
600
601 distclean: distclean-am
602         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
603         -rm -rf ./$(DEPDIR)
604         -rm -f Makefile
605 distclean-am: clean-am distclean-compile distclean-generic \
606         distclean-tags
607
608 dvi: dvi-am
609
610 dvi-am:
611
612 html: html-am
613
614 html-am:
615
616 info: info-am
617
618 info-am:
619
620 install-data-am: install-man
621
622 install-dvi: install-dvi-am
623
624 install-dvi-am:
625
626 install-exec-am: install-binPROGRAMS install-exec-local
627
628 install-html: install-html-am
629
630 install-html-am:
631
632 install-info: install-info-am
633
634 install-info-am:
635
636 install-man: install-man1
637
638 install-pdf: install-pdf-am
639
640 install-pdf-am:
641
642 install-ps: install-ps-am
643
644 install-ps-am:
645
646 installcheck-am:
647
648 maintainer-clean: maintainer-clean-am
649         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
650         -rm -rf $(top_srcdir)/autom4te.cache
651         -rm -rf ./$(DEPDIR)
652         -rm -f Makefile
653 maintainer-clean-am: distclean-am maintainer-clean-generic
654
655 mostlyclean: mostlyclean-am
656
657 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
658         mostlyclean-local
659
660 pdf: pdf-am
661
662 pdf-am:
663
664 ps: ps-am
665
666 ps-am:
667
668 uninstall-am: uninstall-binPROGRAMS uninstall-local uninstall-man
669
670 uninstall-man: uninstall-man1
671
672 .MAKE: install-am install-strip
673
674 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
675         clean-binPROGRAMS clean-generic clean-noinstPROGRAMS ctags \
676         distclean distclean-compile distclean-generic distclean-tags \
677         dvi dvi-am html html-am info info-am install install-am \
678         install-binPROGRAMS install-data install-data-am install-dvi \
679         install-dvi-am install-exec install-exec-am install-exec-local \
680         install-html install-html-am install-info install-info-am \
681         install-man install-man1 install-pdf install-pdf-am install-ps \
682         install-ps-am install-strip installcheck installcheck-am \
683         installdirs maintainer-clean maintainer-clean-generic \
684         mostlyclean mostlyclean-compile mostlyclean-generic \
685         mostlyclean-local pdf pdf-am ps ps-am tags uninstall \
686         uninstall-am uninstall-binPROGRAMS uninstall-local \
687         uninstall-man uninstall-man1
688
689
690 zdefaultcc.go: s-zdefaultcc; @true
691 s-zdefaultcc: Makefile
692         echo 'package main' > zdefaultcc.go.tmp
693         echo 'const defaultGCCGO = "$(bindir)/$(GCCGO_INSTALL_NAME)"' >> zdefaultcc.go.tmp
694         echo 'const defaultCC = "$(GCC_INSTALL_NAME)"' >> zdefaultcc.go.tmp
695         echo 'const defaultCXX = "$(GXX_INSTALL_NAME)"' >> zdefaultcc.go.tmp
696         echo 'const defaultPkgConfig = "pkg-config"' >> zdefaultcc.go.tmp
697         $(SHELL) $(srcdir)/../move-if-change zdefaultcc.go.tmp zdefaultcc.go
698         $(STAMP) $@ 
699
700 mostlyclean-local:
701         rm -rf check-go-dir check-runtime-dir cgo-test-dir carchive-test-dir
702
703 @NATIVE_TRUE@go$(EXEEXT): $(go_cmd_go_files) zdefaultcc.go $(LIBGODEP)
704 @NATIVE_TRUE@   $(GOLINK) $(go_cmd_go_files) zdefaultcc.go $(LIBS) $(NET_LIBS)
705 @NATIVE_TRUE@gofmt$(EXEEXT): $(go_cmd_gofmt_files) $(LIBGODEP)
706 @NATIVE_TRUE@   $(GOLINK) $(go_cmd_gofmt_files) $(LIBS) $(NET_LIBS)
707 @NATIVE_TRUE@cgo$(EXEEXT): $(go_cmd_cgo_files) zdefaultcc.go $(LIBGODEP)
708 @NATIVE_TRUE@   $(GOLINK) $(go_cmd_cgo_files) zdefaultcc.go $(LIBS) $(NET_LIBS)
709
710 @NATIVE_TRUE@install-exec-local: cgo$(EXEEXT)
711 @NATIVE_TRUE@   $(MKDIR_P) $(DESTDIR)$(libexecsubdir)
712 @NATIVE_TRUE@   rm -f $(DESTDIR)$(libexecsubdir)/cgo$(exeext)
713 @NATIVE_TRUE@   $(INSTALL_PROGRAM) cgo$(exeext) $(DESTDIR)$(libexecsubdir)/cgo$(exeext)
714
715 @NATIVE_TRUE@uninstall-local:
716 @NATIVE_TRUE@   rm -f $(DESTDIR)$(libexecsubdir)/cgo$(exeext)
717
718 # Run tests using the go tool, and frob the output to look like that
719 # generated by DejaGNU.  The main output of this is two files:
720 # gotools.sum and gotools.log.
721
722 # check-head starts generating the log files in DejaGNU format.  This
723 # is a separate target so that the date is approximately when we start
724 # running the tests.
725 @NATIVE_TRUE@check-head:
726 @NATIVE_TRUE@   @echo "Test Run By $${USER} on `date`" > gotools.head
727 @NATIVE_TRUE@   @echo "Native configuration is $(host_triplet)" >> gotools.head
728 @NATIVE_TRUE@   @echo >> gotools.head
729 @NATIVE_TRUE@   @echo "         === gotools tests ===" >> gotools.head
730 @NATIVE_TRUE@   @echo >> gotools.head
731
732 # check-gccgo is a little shell script that executes gccgo with the
733 # options to pick up the newly built libgo.
734 @NATIVE_TRUE@check-gccgo: Makefile
735 @NATIVE_TRUE@   rm -f $@
736 @NATIVE_TRUE@   echo "#!/bin/sh" > $@
737 @NATIVE_TRUE@   abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
738 @NATIVE_TRUE@   echo "$(GOCOMPILE)" '"$$@"' "-I $${abs_libgodir} -L $${abs_libgodir} -L $${abs_libgodir}/.libs" >> $@
739 @NATIVE_TRUE@   chmod +x $@
740
741 # check-go-tools runs `go test cmd/go` in our environment.
742 @NATIVE_TRUE@check-go-tool: go$(EXEEXT) cgo$(EXEEXT) check-head check-gccgo
743 @NATIVE_TRUE@   rm -rf check-go-dir cmd_go-testlog
744 @NATIVE_TRUE@   $(MKDIR_P) check-go-dir/src/cmd/go
745 @NATIVE_TRUE@   cp $(cmdsrcdir)/go/*.go check-go-dir/src/cmd/go/
746 @NATIVE_TRUE@   cp $(libgodir)/zstdpkglist.go check-go-dir/src/cmd/go/
747 @NATIVE_TRUE@   cp zdefaultcc.go check-go-dir/src/cmd/go/
748 @NATIVE_TRUE@   cp -r $(cmdsrcdir)/go/testdata check-go-dir/src/cmd/go/
749 @NATIVE_TRUE@   @abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
750 @NATIVE_TRUE@   abs_checkdir=`cd check-go-dir && $(PWD_COMMAND)`; \
751 @NATIVE_TRUE@   echo "cd check-go-dir/src/cmd/go && $(ECHO_ENV) GOPATH=$${abs_checkdir} $(abs_builddir)/go$(EXEEXT) test -test.short -test.v" > cmd_go-testlog
752 @NATIVE_TRUE@   $(CHECK_ENV) \
753 @NATIVE_TRUE@   GOPATH=`cd check-go-dir && $(PWD_COMMAND)`; \
754 @NATIVE_TRUE@   export GOPATH; \
755 @NATIVE_TRUE@   (cd check-go-dir/src/cmd/go && $(abs_builddir)/go$(EXEEXT) test -test.short -test.v) > cmd_go-testlog 2>&1 || true
756 @NATIVE_TRUE@   grep '^--- ' cmd_go-testlog | sed -e 's/^--- \(.*\) ([^)]*)$$/\1/'
757
758 # check-runtime runs `go test runtime` in our environment.
759 # The runtime package is also tested as part of libgo,
760 # but the runtime tests use the go tool heavily, so testing
761 # here too will catch more problems.
762 @NATIVE_TRUE@check-runtime: go$(EXEEXT) cgo$(EXEEXT) check-head check-gccgo
763 @NATIVE_TRUE@   rm -rf check-runtime-dir runtime-testlog
764 @NATIVE_TRUE@   $(MKDIR_P) check-runtime-dir
765 @NATIVE_TRUE@   @abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
766 @NATIVE_TRUE@   LD_LIBRARY_PATH=`echo $${abs_libgodir}/.libs:$${LD_LIBRARY_PATH} | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; \
767 @NATIVE_TRUE@   GOARCH=`$(abs_builddir)/go$(EXEEXT) env GOARCH`; \
768 @NATIVE_TRUE@   GOOS=`$(abs_builddir)/go$(EXEEXT) env GOOS`; \
769 @NATIVE_TRUE@   files=`$(SHELL) $(libgosrcdir)/../match.sh --goarch=$${GOARCH} --goos=$${GOOS} --srcdir=$(libgosrcdir)/runtime --extrafiles="$(libgodir)/runtime_sysinfo.go $(libgodir)/sigtab.go" --tag=libffi`; \
770 @NATIVE_TRUE@   echo "$(ECHO_ENV) GC='$(abs_builddir)/check-gccgo -fgo-compiling-runtime' GOARCH=$${GOARCH} GOOS=$${GOOS} $(SHELL) $(libgosrcdir)/../testsuite/gotest --goarch=$${GOARCH} --goos=$${GOOS} --basedir=$(libgosrcdir)/.. --srcdir=$(libgosrcdir)/runtime --pkgpath=runtime --pkgfiles='$${files}' -test.v" > runtime-testlog
771 @NATIVE_TRUE@   $(CHECK_ENV) \
772 @NATIVE_TRUE@   GC="$${GCCGO} -fgo-compiling-runtime"; \
773 @NATIVE_TRUE@   export GC; \
774 @NATIVE_TRUE@   GOARCH=`$(abs_builddir)/go$(EXEEXT) env GOARCH`; \
775 @NATIVE_TRUE@   GOOS=`$(abs_builddir)/go$(EXEEXT) env GOOS`; \
776 @NATIVE_TRUE@   files=`$(SHELL) $(libgosrcdir)/../match.sh --goarch=$${GOARCH} --goos=$${GOOS} --srcdir=$(libgosrcdir)/runtime --extrafiles="$(libgodir)/runtime_sysinfo.go $(libgodir)/sigtab.go" --tag=libffi`; \
777 @NATIVE_TRUE@   $(SHELL) $(libgosrcdir)/../testsuite/gotest --goarch=$${GOARCH} --goos=$${GOOS} --basedir=$(libgosrcdir)/.. --srcdir=$(libgosrcdir)/runtime --pkgpath=runtime --pkgfiles="$${files}" -test.v >> runtime-testlog 2>&1 || true
778 @NATIVE_TRUE@   grep '^--- ' runtime-testlog | sed -e 's/^--- \(.*\) ([^)]*)$$/\1/'
779
780 # check-cgo-test runs `go test misc/cgo/test` in our environment.
781 @NATIVE_TRUE@check-cgo-test: go$(EXEEXT) cgo$(EXEEXT) check-head check-gccgo
782 @NATIVE_TRUE@   rm -rf cgo-test-dir cgo-testlog
783 @NATIVE_TRUE@   $(MKDIR_P) cgo-test-dir/misc/cgo
784 @NATIVE_TRUE@   cp -r $(libgomiscdir)/cgo/test cgo-test-dir/misc/cgo/
785 @NATIVE_TRUE@   @abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
786 @NATIVE_TRUE@   echo "cd cgo-test-dir/misc/cgo/test && $(ECHO_ENV) GOTRACEBACK=2 $(abs_builddir)/go$(EXEEXT) test -test.short -test.v" > cgo-testlog
787 @NATIVE_TRUE@   $(CHECK_ENV) \
788 @NATIVE_TRUE@   GOTRACEBACK=2; \
789 @NATIVE_TRUE@   export GOTRACEBACK; \
790 @NATIVE_TRUE@   (cd cgo-test-dir/misc/cgo/test && $(abs_builddir)/go$(EXEEXT) test -test.short -test.v) >> cgo-testlog 2>&1 || true
791 @NATIVE_TRUE@   grep '^--- ' cgo-testlog | sed -e 's/^--- \(.*\) ([^)]*)$$/\1/'
792
793 # check-carchive-test runs `go test misc/cgo/testcarchive/carchive_test.go`
794 # in our environment.
795 @NATIVE_TRUE@check-carchive-test: go$(EXEEXT) cgo$(EXEEXT) check-head check-gccgo
796 @NATIVE_TRUE@   rm -rf carchive-test-dir carchive-testlog
797 @NATIVE_TRUE@   $(MKDIR_P) carchive-test-dir/misc/cgo
798 @NATIVE_TRUE@   cp -r $(libgomiscdir)/cgo/testcarchive carchive-test-dir/misc/cgo/
799 @NATIVE_TRUE@   @abs_libgodir=`cd $(libgodir) && $(PWD_COMMAND)`; \
800 @NATIVE_TRUE@   echo "cd carchive-test-dir/misc/cgo/testcarchive && $(ECHO_ENV) LIBRARY_PATH=`echo $${abs_libgodir}/.libs` $(abs_builddir)/go$(EXEEXT) test -test.v carchive_test.go" > carchive-testlog
801 @NATIVE_TRUE@   $(CHECK_ENV) \
802 @NATIVE_TRUE@   LIBRARY_PATH=`echo $${abs_libgodir}/.libs:$${LIBRARY_PATH} | sed 's,::*,:,g;s,^:*,,;s,:*$$,,'`; \
803 @NATIVE_TRUE@   export LIBRARY_PATH; \
804 @NATIVE_TRUE@   (cd carchive-test-dir/misc/cgo/testcarchive && $(abs_builddir)/go$(EXEEXT) test -test.v carchive_test.go) >> carchive-testlog 2>&1 || true
805 @NATIVE_TRUE@   grep '^--- ' carchive-testlog | sed -e 's/^--- \(.*\) ([^)]*)$$/\1/'
806
807 # The check targets runs the tests and assembles the output files.
808 @NATIVE_TRUE@check: check-head check-go-tool check-runtime check-cgo-test check-carchive-test
809 @NATIVE_TRUE@   @mv gotools.head gotools.sum
810 @NATIVE_TRUE@   @cp gotools.sum gotools.log
811 @NATIVE_TRUE@   @for file in cmd_go-testlog runtime-testlog cgo-testlog carchive-testlog; do \
812 @NATIVE_TRUE@     testname=`echo $${file} | sed -e 's/-testlog//' -e 's|_|/|'`; \
813 @NATIVE_TRUE@     echo "Running $${testname}" >> gotools.sum; \
814 @NATIVE_TRUE@     echo "Running $${testname}" >> gotools.log; \
815 @NATIVE_TRUE@     sed -e 's/^--- \(.*\) ([^)]*)$$/\1/' < $${file} >> gotools.log; \
816 @NATIVE_TRUE@     grep '^--- ' $${file} | sed -e 's/^--- \(.*\) ([^)]*)$$/\1/' -e 's/SKIP/UNTESTED/' >> gotools.sum; \
817 @NATIVE_TRUE@   done
818 @NATIVE_TRUE@   @echo >> gotools.sum
819 @NATIVE_TRUE@   @echo "         === gotools Summary ===" >> gotools.sum
820 @NATIVE_TRUE@   @pass=`grep -c '^PASS' gotools.sum`; \
821 @NATIVE_TRUE@   if test "$${pass}" -ne "0"; then \
822 @NATIVE_TRUE@     echo "# of expected passes            $${pass}" >> gotools.sum; \
823 @NATIVE_TRUE@   fi
824 @NATIVE_TRUE@   @fail=`grep -c '^FAIL' gotools.sum`; \
825 @NATIVE_TRUE@   if test "$${fail}" -ne "0"; then \
826 @NATIVE_TRUE@     echo "# of unexpected failures        $${fail}" >> gotools.sum; \
827 @NATIVE_TRUE@   fi
828 @NATIVE_TRUE@   @untested=`grep -c '^UNTESTED' gotools.sum`; \
829 @NATIVE_TRUE@   if test "$${untested}" -ne "0"; then \
830 @NATIVE_TRUE@     echo "# of untested testcases         $${untested}" >> gotools.sum; \
831 @NATIVE_TRUE@   fi
832 @NATIVE_TRUE@   @echo `echo $(GOC_FOR_TARGET) | sed -e 's/ .*//'`  `$(GOC_FOR_TARGET) -v 2>&1 | grep " version" | sed -n -e 's/.* \(version.*$$\)/\1/p'` >> gotools.sum
833 @NATIVE_TRUE@   @echo >> gotools.log
834 @NATIVE_TRUE@   @echo "runtest completed at `date`" >> gotools.log
835 @NATIVE_TRUE@   @if grep '^FAIL' gotools.sum >/dev/null 2>&1; then exit 1; fi
836
837 @NATIVE_TRUE@.PHONY: check check-head check-go-tool check-runtime check-cgo-test check-carchive-test
838
839 # For a non-native build we have to build the programs using a
840 # previously built host (or build -> host) Go compiler.  We should
841 # only do this if such a compiler is available.  We also need to get
842 # the right values for GOARCH and GOOS in the default build context in
843 # the go/build package.  Figure this out later.
844
845 # Tell versions [3.59,3.63) of GNU make to not export all variables.
846 # Otherwise a system limit (for SysV at least) may be exceeded.
847 .NOEXPORT: